Skip to main content
Contract / Payments

Get a contract payment structure

This method requires the ContractPaymentStructures:Get permission to be associated with your role.

GET
/fm/contract/payment-structures/{contract_payment_structure_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contract_payment_structure_idstringrequired

Contract Payment Structure Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

contract_idstring
Example: 292824
contract_payment_structure_idstring
Example: 268345
driver_bank_account_idstring
Example: 100002
due_dayinteger
Example: 25
final_payment_duestring
Example: 2028-07-04
first_payment_duestring
Example: 2026-07-04
payee_payment_method_idstring
Example: 100001
payment_intervalenum<string>
Available options: daily, weekly, fortnightly, period, monthly, quarterly, bi-annual, annual
Example: monthly
payment_on_hold_datestring
Example: 0000-00-00
payment_on_hold_date_flagenum<string>
Available options: yes, no
Example: no
payment_stop_datestring
Example: 0000-00-00
payment_stop_date_flagenum<string>
Available options: yes, no
Example: no
payment_typeenum<string>
Available options: finance, comprehensive-insurance, finance-principal-interest, management-fee, roadside-assistance, sundry-payment
Example: finance
periods_deferredinteger
Example: 0
status_flagenum<string>
Available options: active, inactive
Example: active
supplier_idstring
Example: 100015
supplier_referencestring
Example: 528877
total_paymentsinteger
Example: 55